## libcap 1.10

=== Makefile ===
#
# $Id: Makefile,v 1.1.1.1 1999/04/17 22:16:31 morgan Exp $
#
# Makefile for libcap

topdir=$(shell pwd)
include Make.Rules

#
# flags
#

all install clean: %: %-here
	make -C libcap $(MAKE_DEFS) $@
	make -C progs $(MAKE_DEFS) $@
	make -C doc $(MAKE_DEFS) $@

all-here:

install-here:

clean-here:
	$(LOCALCLEAN)

distclean: clean
	$(DISTCLEAN)

release: distclean
	cd .. ; tar cvfz libcap-$(VERSION).$(MINOR).tar.gz libcap-$(VERSION).$(MINOR)

=== progs/Makefile ===
##
## $Log: Makefile,v $
## Revision 1.1.1.1  1999/04/17 22:16:31  morgan
## release 1.0 of libcap
##
## Revision 1.6  1998/09/20 23:17:32  morgan
## added sucap.c
##
## Revision 1.5  1998/06/07 01:54:43  morgan
## updated for 0.104.  Added execcap.
##
## Revision 1.4  1997/05/14 05:18:23  morgan
## autoconf rearrangement from Zefram
##
## Revision 1.3  1997/05/04 05:34:03  morgan
## took care of case that install cannot handle more than one file
##
## Revision 1.2  1997/04/28 01:01:20  morgan
## update with zefram's patches
##
## Revision 1.1  1997/04/21 04:34:04  morgan
## Initial revision
##
##

topdir=$(shell pwd)/..
include $(topdir)/Make.Rules
#
# Programs: all of the examples that we will compile
#
PROGS=getpcaps setpcaps execcap sucap

# when we have filecaps...
#PROGS+=getcap setcap

all: $(PROGS)

$(PROGS): %: %.o
	$(CC) $(LDFLAGS) -o $@ $< $(LIBS)

%.o: %.c $(INCS)
	$(CC) $(CFLAGS) -c $< -o $@

install: all
	mkdir -p -m 0755 $(SBINDIR)
	for p in $(PROGS) ; do \
		install -s -m 0755 $$p $(SBINDIR) ; \
	done

clean:
	$(LOCALCLEAN)
	rm -f *.o $(PROGS)

## libcap 1.10-15maemo0

=== Makefile ===
--- 
+++ 
@@ -3,17 +3,20 @@
 #
 # Makefile for libcap
 
+ifndef topdir
 topdir=$(shell pwd)
-include Make.Rules
+endif
+include $(topdir)/Make.Rules
+DESTDIR=
 
 #
 # flags
 #
 
 all install clean: %: %-here
-	make -C libcap $(MAKE_DEFS) $@
-	make -C progs $(MAKE_DEFS) $@
-	make -C doc $(MAKE_DEFS) $@
+	make -C $(topdir)/libcap $(MAKE_DEFS) $@
+	make -C $(topdir)/progs $(MAKE_DEFS) $@
+	make -C $(topdir)/doc $(MAKE_DEFS) $@
 
 all-here:

=== doc/Makefile ===
#
# $Id: Makefile,v 1.1.1.1 1999/04/17 22:16:31 morgan Exp $
#
# Makefile for libcap documentation
#

topdir=$(shell pwd)/..
include $(topdir)/Make.Rules

#MAN2S = capget.2 
MAN3S = cap_init.3 cap_free.3 cap_dup.3 \
	cap_clear.3 cap_get_flag.3 cap_set_flag.3 \
	cap_get_proc.3 cap_set_proc.3 \
	cap_copy_ext.3 cap_size.3 cap_copy_int.3 \
	cap_from_text.3 cap_to_text.3 _cap_names.3 \
	capsetp.3 capgetp.3
#MAN8S = getcap.8 setcap.8

MANS = $(MAN2S) $(MAN3S) $(MAN8S)

all: $(MANS)

install:
	mkdir -p -m 755 $(MANDIR)/man2 $(MANDIR)/man3
	for man in \
		$(MANDIR)/man2 $(MAN2S) \
		$(MANDIR)/man3 $(MAN3S) \
		; \
	do \
		case $$man in \
		/*)	sub=$$man ; continue ;; \
		esac; \
		install -m 644 $$man $$sub ; \
	done

clean:
	$(LOCALCLEAN)

=== libcap/Makefile ===
##
## $Log: Makefile,v $
## Revision 1.1.1.1  1999/04/17 22:16:31  morgan
## release 1.0 of libcap
##
## Revision 1.5  1998/05/24 22:54:09  morgan
## updated for 2.1.104
##
## Revision 1.4  1997/05/14 05:17:13  morgan
## autoconf rearrangement from Zefram
##
## Revision 1.3  1997/05/04 05:34:59  morgan
## cleaner
##
## Revision 1.2  1997/04/28 00:57:11  morgan
## fixes and zefram's patches
##
## Revision 1.1  1997/04/21 04:33:29  morgan
## Initial revision
##
##
##

#
# defines
#
ifndef $(topdir)
topdir=$(shell pwd)/..
endif
include $(topdir)/Make.Rules

#
# Library version
#
LIBNAME=libcap
#

FILES=cap_alloc cap_proc cap_extint cap_flag cap_text cap_sys

# for later when there is filesystem support for cap's:
#FILES += cap_file 

INCLS=libcap.h cap_names.h $(INCS)
OBJS=$(addsuffix .o, $(FILES))
LOBJS=$(addsuffix .lo, $(FILES))
MAJLIBNAME=$(LIBNAME).so.$(VERSION)
MINLIBNAME=$(MAJLIBNAME).$(MINOR)

all: $(MINLIBNAME) $(LIBNAME).a

_makenames: _makenames.c cap_names.sed
	$(CC) $(CFLAGS) $(LDFLAGS) $< -o $@

cap_names.h: _makenames
	./_makenames > cap_names.h

cap_names.sed: Makefile include/sys/capability.h
	@echo "=> making cap_names.c from <sys/capability.h>"
	@sed -ne '/^#define[ \t]CAP[_A-Z]\+[ \t]\+[0-9]\+/{s/^#define \([^ \t]*\)[ \t]*\([^ \t]*\)/  \{ \2, \"\1\" \},/;y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/;p;}' < include/sys/capability.h | fgrep -v 0x > cap_names.sed #   @sed -ne '/^#define[ \t]CAP[_A-Z]\+[ \t]\+[0-9]\+/{s/^#define CAP_\([^ \t]*\)[ \t]*\([^ \t]*\)/  \{ \2, \"\1\" \},/;y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/;p;}' < /usr/include/linux/capability.h | fgrep -v 0x > cap_names.sed

$(LIBNAME).a: $(OBJS)
	ar cruv $(LIBNAME).a $(OBJS)

$(MINLIBNAME): $(LOBJS)
	$(CC) -shared -fPIC -Wl,-soname,$(MAJLIBNAME) -o $@ $(LOBJS)
	ln -sf $(MINLIBNAME) $(MAJLIBNAME)
	ln -sf $(MAJLIBNAME) $(LIBNAME).so

%.o: %.c $(INCLS)
	$(CC) $(CFLAGS) -c $< -o $@

%.lo: %.c $(INCLS)
	$(CC) $(CFLAGS) -fPIC -c $< -o $@


install: all
	mkdir -p -m 0755 $(INCDIR)/sys
	install -m 0644 include/sys/capability.h $(INCDIR)/sys
	mkdir -p -m 0755 $(LIBDIR)
	install -m 0644 $(LIBNAME).a $(LIBDIR)
	install -m 0644 $(MINLIBNAME) $(LIBDIR)/$(MINLIBNAME)
	ln -sf $(MINLIBNAME) $(LIBDIR)/$(MAJLIBNAME)
	ln -sf $(MAJLIBNAME) $(LIBDIR)/$(LIBNAME).so
	-/sbin/ldconfig

clean:
	$(LOCALCLEAN)
	rm -f $(OBJS) $(LOBJS) $(LIBNAME).a $(LIBNAME).so*
	rm -f cap_names.h cap_names.sed _makenames
	cd include/sys && $(LOCALCLEAN)

=== debian/changelog ===
libcap (1:1.10-15maemo0) unstable; urgency=low

  * Porting to maemo.

 -- Michael Vogt <mvo@debian.org>  Mon,  5 Feb 2007 20:27:41 -0500

libcap (1:1.10-14) unstable; urgency=low

  * fixed a "dangling symlinks" (closes: #191591)

 -- Michael Vogt <mvo@debian.org>  Wed, 14 Apr 2004 00:10:30 +0200

libcap (1:1.10-13) unstable; urgency=low

  * moved README and capfaq-0.2.txt to libcap-bin (closes: #226343)

 -- Michael Vogt <mvo@debian.org>  Wed, 14 Jan 2004 13:29:34 +0100

libcap (1:1.10-12) unstable; urgency=low

  * corrected spelling mistakes (closes: #124906, #124907)

 -- Michael Vogt <mvo@debian.org>  Tue, 18 Dec 2001 05:33:03 +0100

libcap (1:1.10-11) unstable; urgency=low

  * changed priority only for libcap1 (not for libcap-bin, libcap-dev)

 -- Michael Vogt <mvo@debian.org>  Fri, 20 Jul 2001 00:01:47 +0200

libcap (1:1.10-10) unstable; urgency=low

  * changed priority to "required", because libpam-modules depend on it   
    (closes: #103567)   
  
 -- Michael Vogt <mvo@debian.org>  Thu,  5 Jul 2001 11:05:28 +0200

libcap (1:1.10-9) unstable; urgency=low

  * added Build-Depends: debhelper, this closes: #86828
  * libcap links against libc6, closes: #87234
  * as no kernel headers get included, it closes: #81962
  
 -- Michael Vogt <mvo@debian.org>  Wed,  7 Mar 2001 10:30:31 +0100

libcap (1:1.10-8) unstable; urgency=low

  * fixed a typo in the description and improved the description
    this closes: #88425 (thanks to Joey Hess <joeyh@debian.org)
  * added capfaq-0.2.txt to the documentation
  
 -- Michael Vogt <mvo@debian.org>  Mon,  5 Mar 2001 10:36:11 +0100

libcap (1:1.10-7) unstable; urgency=low

  * debuged and removed all lintian errors
  * removed inclusion of kernel-headers in libcap
  * synced sections with override file

 -- Michael Vogt <mvo@debian.org>  Thu,  1 Mar 2001 02:14:27 +0100

libcap (1:1.10-6) unstable; urgency=low

  * closes: #87343 (thanks to Ryan Murray <rmurray@cyberhqz.com>)
  * added epoch to override a old version 1.92 floating around
  * merged all changes from Mikolaj J. Habryn <dichro-debian@rcpt.to> 

 -- Michael Vogt <mvo@debian.org>  Wed, 28 Feb 2001 11:22:23 +0100

libcap (1.10-5) unstable; urgency=low

  * removed capget.2 (is also in manpages-dev)
  * closes: #86021
  
 -- Michael Vogt <mvo@debian.org>  Sun, 18 Feb 2001 01:32:33 +0100

libcap (1.10-4) unstable; urgency=low

  * second try to remove capset.2. man-page.

 -- Michael Vogt <mvo@debian.org>  Thu, 15 Feb 2001 10:34:23 +0100

libcap (1.10-3) unstable; urgency=low

  * closes bug: #86021 (thanks to Ryan Murray <rmurray@cyberhqz.com>
  * remove the capset.2.gz man-page (it is already in manpages-dev)

 -- Michael Vogt <mvo@debian.org>  Thu, 15 Feb 2001 10:08:34 +0100

libcap (1.10-2) unstable; urgency=low

  * closes bug: #73062, #73606 
    (thanks to Laurent Bonnaud <bonnaud@iut2.upmf-grenoble.fr>
	       Robert Bihlmeyer <robbe@orcus.priv.at>)

 -- Michael Vogt <mvo@debian.org>  Thu,  5 Oct 2000 09:21:52 +0200

libcap (1.10-1) unstable; urgency=low

  * Initial Release.

 -- Michael Vogt <mvo@debian.org>  Tue, 25 Jul 2000 19:28:22 +0200

=== debian/control ===
Source: libcap
Section: libs
Priority: optional
Maintainer: Michael Vogt <mvo@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper

Package: libcap-dev
Section: devel
Architecture: any
Depends: libcap1 (= ${Source-Version}), libc6-dev
Description: development libraries and header files for libcap
 Contains the necessary support for building applications that use
 capabilities.

Package: libcap-bin
Section: devel
Architecture: any
Depends: libcap1
Replaces: libcap-progs
Description: basic utility programs for using capabilities
 This packages contains the programs sucap, execap, getpcaps, setpcaps
 for manipulation of capabilities.

Package: libcap1
Architecture: any
Priority: required
Depends: ${shlibs:Depends}
Description: support for getting/setting POSIX.1e capabilities
 This library implements the user-space interfaces to the POSIX
 1003.1e capabilities available in Linux kernels.  These capabilities are 
 a partitioning of the all powerful root privilege into a set of distinct 
 privileges.  Note that it will not provide any functionality with kernels 
 below 2.2

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

# shared library versions, option 1
version=1.10
major=1
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	#
	# build liblibcap${major} package by moving files from libcap-dev
	#
	dh_movefiles -plibcap-bin \
        sbin/execcap sbin/getpcaps \
        sbin/setpcaps sbin/sucap 

	dh_movefiles -plibcap$(major)             \
	lib/libcap.so.$(major)        \
	lib/libcap.so.$(version) 

#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
# don't install manpages in old/* and ignore packages libcap-bin, libcap1
	dh_installmanpages -Nlibcap-bin -Ndoc/capset.2 -Nlibcap1 doc/capget.2 doc/old/*
	dh_installinfo
	dh_undocumented -Nlibcap1 -Nlibcap-dev execcap.1 getpcaps.1 setpcaps.1 sucap.1
	dh_installchangelogs CHANGELOG
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
